Package org.freeplane.api

# Enum Class LengthUnit

java.lang.Object
java.lang.Enum<LengthUnit>
org.freeplane.api.LengthUnit

All Implemented Interfaces:
  `Serializable`, `Comparable<LengthUnit>`, `Constable`, `PhysicalUnit`

public enum LengthUnit extends Enum<LengthUnit> implements PhysicalUnit

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `cm`
  `in`
  `mm`
  `pt`
  `px`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `factor()`
  `static Quantity<LengthUnit>`
  `fromStringInPt(String value)`
  `static Quantity<LengthUnit>`
  `pixelsInPt(double value)`
  `static void`
  `setScalingFactor(double newFactor)`
  `static LengthUnit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LengthUnit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.freeplane.api.PhysicalUnit

  `name`

- ## Enum Constant Details

  - ### px

    public static final LengthUnit px

  - ### in

    public static final LengthUnit in

  - ### mm

    public static final LengthUnit mm

  - ### cm

    public static final LengthUnit cm

  - ### pt

    public static final LengthUnit pt

- ## Method Details

  - ### values

    public static LengthUnit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LengthUnit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### factor

    public double factor()
    Specified by:
      `factor` in interface `PhysicalUnit`

  - ### pixelsInPt

    public static Quantity<LengthUnit> pixelsInPt(double value)

  - ### fromStringInPt

    public static Quantity<LengthUnit> fromStringInPt(String value)

  - ### setScalingFactor

    public static void setScalingFactor(double newFactor)